Bug 8266 - fileflags.diff compile fix
fileflags.diff compile fix
Status: RESOLVED FIXED
Product: rsync
Classification: Unclassified
Component: core
3.1.0
All All
: P5 normal
: ---
Assigned To: Wayne Davison
Rsync QA Contact
:
Depends on: 9236
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-25 14:13 UTC by Chris Dunlop
Modified: 2012-11-09 18:33 UTC (History)
0 users

See Also:


Attachments
Fix for fileflags.diff (460 bytes, patch)
2011-06-25 14:14 UTC, Chris Dunlop
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dunlop 2011-06-25 14:13:11 UTC
As of commit 6e056167 fileflags.diff produces a compile error. The attached patch fixes this.
Comment 1 Chris Dunlop 2011-06-25 14:14:38 UTC
Created attachment 6624 [details]
Fix for fileflags.diff
Comment 2 Wayne Davison 2011-06-25 16:04:44 UTC
The return from try_a_force_change() was also wrong in that code path, so I fixed that too.

Note that it is always nice to generate a patch on the files themselves, not a patch of a patch.  Patch files are auto-generated.
Comment 3 Chris Dunlop 2011-06-27 05:52:54 UTC
In gmane.network.rsync.general, Wayne Davison wrote:
> Note that it is always nice to generate a patch on the files themselves, not a
> patch of a patch.  Patch files are auto-generated.

No worries.

Out of interest, what form is the original form from which the patch
files are auto-generated, e.g. git branches?
Comment 4 Wayne Davison 2011-06-28 06:03:03 UTC
(In reply to comment #3)
> Out of interest, what form is the original form from which the patch
> files are auto-generated, e.g. git branches?

Yup -- see packaging/branch-from-patch script (on the master branch).  Patches are updated via packaging/patch-update script from my local branches.